Bug 27140 - ptrace bug is not fixed in kernel-2.2.17-14.i386.rpm
ptrace bug is not fixed in kernel-2.2.17-14.i386.rpm
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
All Linux
high Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-12 08:57 EST by Nergal
Modified: 2007-03-26 23:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-12 09:16:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nergal 2001-02-12 08:57:10 EST
only the flush_old_exec() function is protected. this is clearly not enough. In
particular, copy_from_user() may sleep, so during args/env copying a thread
can be blocked. Args/environment are copied after must_not_trace_exec()
(which checks if a binary is being traced), but before compute_creds() (which
sets new euid). At this moment, a binary can be attached with ptrace, even
in case of kernel-2.2.17-14.i386.rpm.
Contact nergal@avet.com.pl for a patch and additional info.
Comment 1 Arjan van de Ven 2001-04-17 03:55:55 EDT
Fixed by the errata 2.2.19 kernel

Note You need to log in before you can comment on or make changes to this bug.